Bug 169492 - Cryptic Prism54 Device Naming Behavior on Dell Inspiron 8200
Cryptic Prism54 Device Naming Behavior on Dell Inspiron 8200
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 16:42 EDT by Matt T. Proud
Modified: 2014-03-16 22:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 17:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt T. Proud 2005-09-28 16:42:57 EDT
Description of problem:
Before anyone examines this bug, follows my instructions on how to repeat it,
and then cannot reproduce the bug, I am very confident that this bug only
happens on my machine, for I have found nothing relating to this bug via Google.

I have a Dell Inspiron 8200 that possesses one internal 3c59x interface and a
Dell Truemobile 1150 (Orinoco) internal, mini-PCI wireless card. Often times,
the Truemobile just does not work well, so I purchased a PCMCIA Netgear WG511
(Prism54) card. In all of my experience in using Linux across many
distributions, the WG511 card has worked well, but I have begun to notice an
interesting repeatable anomaly with it on Fedora Core 4.

If I boot the machine with the WG511 card inserted, the network device name for
the card becomes something to the effect of 'devXXXXX,' where XXXXX changes
between every reboot. Now, if I boot the machine without the card inserted, the
card assumes a name along the lines of eth2 or something else reasonable. I have
fiddled with various aliasing settings in /etc/modprobe.conf, but none seem to
have any effect on this odd naming. Moreover, when this anomaly occurs, I cannot
properly administer and see this device from system-config-network. This problem
is very troubling.

Per what I have written on my web site
(http://process-of-elimination.net/wiki/Network_Device_Renaming_with_UDEV) about
using UDEV to rename network devices according to machine address, I have
attempted this, but it does not help with this odd naming that occurs. Since
this solution does not work in Fedora, I summarily reversed any changes that I
committed to UDEV.

Now, if I reinsert the card after the machine has been booted and the device is
named with the odd scheme, it will assume the correct name about 50 percent of
the time.

Eventually, after booting the machine without the card inserted, I configured
the device in system-config-network and instructed the utility to bind the
machine address to eth2. Please note that I mention eth2 here.

Please, if at all possible try to reproduce this bug with the exact hardware
that I have described.

I have included various samples of configuration files and low level messaging
output to assist in the tracing of this anomaly. 

As I mentioned above, I bound the prism54 to eth2, but changing it to eth3 does
not matter. I note this because according to the top of dmesg output, the
(Orinoco Prism2 Truemobile) takes eth2 initially. Later on, the device is
renamed to eth1. When this occurs, something in the kernel complains about eth1
being already taken or used.

In the excerpt that I have, the prism54 device takes on the name dev1499.

Oh, I should mention, too, that I am using the latest firmware for this network
card and have browsed the instructions found on prism54.org.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1456

How reproducible:
Always

Steps to Reproduce:
1. Insert Prism54 WG511 card into machine before turning it on.
2. Boot into Fedora
3. perform ifconfig -a; note the bad naming of the device
4. use system-config-network; note that the device does not appear

--

Perform this steps again; however, do not insert the card before the machine is
fully started. 
    
Actual results:
Device is misnamed and does not appear in system-config-network.

Expected results:
Device should assume a reasonable and its mapped name per the utility
system-config-network.

Additional info:
dmesg:
Linux version 2.6.12-1.1456_FC4_cubbi1_swsusp2 (root@kobayashi-maru) (gcc
version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 Fri Sep 23 09:27:33 CEST 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000027fe2800 (usable)
 BIOS-e820: 0000000027fe2800 - 0000000028000000 (reserved)
 BIOS-e820: 00000000feda0000 - 00000000fee00000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
639MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 163810
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 159714 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 DELL                                  ) @ 0x000fde50
ACPI: RSDT (v001 DELL    CPi R   0x27d30510 ASL  0x00000061) @ 0x000fde64
ACPI: FADT (v001 DELL    CPi R   0x27d30510 ASL  0x00000061) @ 0x000fde90
ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x808
Allocating PCI resources starting at 28000000 (gap: 28000000:d6da0000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/ resume2=swap:/dev/hda7
Initializing CPU#0
CPU 0 irqstacks, hard=c0475000 soft=c0474000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2393.382 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 643488k/655240k available (2600k kernel code, 11236k reserved, 724k
data, 184k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 4734.97 BogoMIPS (lpj=2367488)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebf9ff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: After vendor identify, caps: bfebf9ff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: After all inits, caps: bfebf1ff 00000000 00000000 00000080 00004400
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU: Intel Mobile Intel(R) Pentium(R) 4 - M CPU 2.40GHz stepping 09
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0800)
checking if image is initramfs... it is
Freeing initrd memory: 1330k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfbfee, last bus=2
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050902
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Boot video device is 0000:01:00.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7) *11
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 *11)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
ACPI: Power Resource [PADA] (on)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 17 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:01: ioport range 0x4d0-0x4d1 has been reserved
pnp: 00:01: ioport range 0x800-0x805 could not be reserved
pnp: 00:01: ioport range 0x808-0x80f could not be reserved
pnp: 00:02: ioport range 0x806-0x807 has been reserved
pnp: 00:02: ioport range 0x810-0x85f could not be reserved
pnp: 00:02: ioport range 0x860-0x87f has been reserved
pnp: 00:02: ioport range 0x880-0x8bf has been reserved
pnp: 00:02: ioport range 0x8c0-0x8df has been reserved
pnp: 00:02: ioport range 0x8e0-0x8ff has been reserved
pnp: 00:03: ioport range 0xf000-0xf0fe has been reserved
pnp: 00:03: ioport range 0xf100-0xf1fe has been reserved
pnp: 00:03: ioport range 0xf200-0xf2fe has been reserved
pnp: 00:03: ioport range 0xf400-0xf4fe has been reserved
pnp: 00:03: ioport range 0xf500-0xf5fe has been reserved
pnp: 00:03: ioport range 0xf600-0xf6fe has been reserved
pnp: 00:03: ioport range 0xf800-0xf8fe has been reserved
pnp: 00:03: ioport range 0xf900-0xf9fe has been reserved
pnp: 00:08: ioport range 0x900-0x91f has been reserved
pnp: 00:08: ioport range 0x3f0-0x3f1 has been reserved
pnp: 00:0f: ioport range 0xbf40-0xbf5f has been reserved
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1127910820.125:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 51A98DCF5C4D6B02
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel i845 Chipset.
agpgart: AGP aperture is 64M @ 0xe8000000
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: Thermal Zone [THM] (65 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH3M: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
ICH3M: chipset revision 2
ICH3M: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: IC25N040ATCS04-0, ATA DISK drive
hdb: TOSHIBA DVD-ROM SD-C2612, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: MATSHITA CD-RW UJDA360, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB) w/1768KiB Cache, CHS=65535/16/63, UDMA(100)
hda: cache flushes not supported
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 >
hdb: ATAPI 24X DVD-ROM drive, 192kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdc: ATAPI 24X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 2048 buckets, 64Kbytes
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Software Suspend Core.
Software Suspend Compression Driver loading.
Software Suspend Encryption Driver loading.
Software Suspend Swap Writer loading.
Software Suspend FileWriter loading.
ACPI wakeup devices: 
 LID PBTN PCI0 UAR1 USB0 USB1 USB2 MODM PCIE MPCI 
ACPI: (supports S0 S1 S3 S4 S4bios S5)
Freeing unused kernel memory: 184k freed
SCSI subsystem initialized
input: AT Translated Set 2 keyboard on isa0060/serio0
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1250 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI Interrupt 0000:02:01.2[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[f8fff000-f8fff7ff]  Max
Packet=[2048]
sbp2: $Rev: 1219 $ Ben Collins <bcollins@debian.org>
Resume block device is e7e81a80.
Software Suspend 2.1.9.9: Swapwriter: Signature found.
Software Suspend 2.1.9.9: Suspending enabled.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: DualPoint Stick on isa0060/serio1
input: AlpsPS/2 ALPS DualPoint TouchPad on isa0060/serio1
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[434fc0002b7bdc21]
security:  3 users, 6 roles, 872 types, 101 bools
security:  55 classes, 214191 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda2, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:02:00.0: 3Com PCI 3c905C Tornado at 0xec80. Vers LK1.1.19
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
orinoco 0.15rc2 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
orinoco_cs 0.15rc2 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 49423 usecs
intel8x0: clocking to 48000
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1f.6 to 64
MC'97 1 converters and GPIO not ready (0xff00)
hw_random: RNG not detected
shpchp: acpi_shpchprm:\_SB_.PCI0 evaluate _BBN fail=0x5
shpchp: acpi_shpchprm:get_device PCI ROOT HID fail=0x5
USB Universal Host Controller Interface driver v2.2
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 11, io base 0x0000bf80
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.2: irq 11, io base 0x0000bf20
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
PCI: Enabling device 0000:02:01.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:02:01.0 [1028:00d4]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:01.0, mfunc 0x05033002, devctl 0x64
Yenta: ISA IRQ mask 0x0498, PCI irq 11
Socket status: 30000006
PCI: Enabling device 0000:02:01.1 (0000 -> 0002)
ACPI: PCI Interrupt 0000:02:01.1[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:02:01.1 [1028:00d4]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:01.1, mfunc 0x05033002, devctl 0x64
Yenta: ISA IRQ mask 0x0498, PCI irq 11
Socket status: 30000020
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:02:03.0 [12a3:ab01]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:03.0, mfunc 0x01000002, devctl 0x60
Yenta: ISA IRQ mask 0x0000, PCI irq 11
Socket status: 30000010
Loaded prism54 driver, version 1.2
PCI: Enabling device 0000:07:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:07:00.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
ACPI: AC Adapter [AC] (on-line)
Using generic hotkey driver
ACPI: Battery Slot [BAT0] (battery absent)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PBTN]
ACPI: Sleep Button (CM) [SBTN]
ibm_acpi: Using generic hotkey driver
toshiba_acpi: Using generic hotkey driver
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
EXT3 FS on hda2, internal journal
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev hda3, type vfat), uses genfs_contexts
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda8, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda8, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda5, type ext3), uses xattr
Adding 714852k swap on /dev/hda6.  Priority:-1 extents:1
Adding 714852k swap on /dev/hda7.  Priority:-2 extents:1
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (5119 buckets, 40952 max) - 272 bytes per conntrack
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
eth2: Hardware identity 0005:0004:0005:0000
eth2: Station identity  001f:0001:0008:0048
eth2: Firmware determined as Lucent/Agere 8.72
eth2: Ad-hoc demo mode supported
eth2: IEEE standard IBSS ad-hoc mode supported
eth2: WEP supported, 104-bit key
eth2: MAC address 00:02:2D:59:19:E7
eth2: Station name "HERMES I"
eth2: ready
eth2: index 0x01: Vcc 3.3, irq 11, io 0x0100-0x013f
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
audit(1127928843.216:2): avc:  denied  { write } for  pid=1835
comm="dhclient-script" name="resolv.conf" dev=hda2 ino=90655
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:etc_t tclass=file
audit(1127928843.216:3): avc:  denied  { write } for  pid=1835
comm="dhclient-script" name="resolv.conf" dev=hda2 ino=90655
scontext=system_u:system_r:dhcpc_t tcontext=root:object_r:etc_t tclass=file
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
i2c /dev entries driver
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0400160(lo)
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present
dev1499: resetting device...
dev1499: uploading firmware...
dev1499: firmware version: 1.0.4.3
dev1499: firmware upload complete
dev1499: interface reset complete

lsmod:
Module                  Size  Used by
md5                     4161  1 
ipv6                  268737  12 
parport_pc             29189  1 
lp                     13129  0 
parport                40969  2 parport_pc,lp
autofs4                29637  2 
i2c_dev                11201  0 
i2c_core               21825  1 i2c_dev
sunrpc                168581  1 
ipt_REJECT              5825  1 
ipt_state               1985  2 
ip_conntrack           42009  1 ipt_state
iptable_filter          3137  1 
ip_tables              19521  3 ipt_REJECT,ipt_state,iptable_filter
vfat                   13633  1 
fat                    55005  1 vfat
dm_mod                 58613  0 
video                  16069  0 
button                  4161  0 
battery                 9541  0 
ac                      4933  0 
prism54                56141  0 
yenta_socket           21833  5 
rsrc_nonstatic         12993  1 yenta_socket
uhci_hcd               35281  0 
snd_intel8x0m          19845  0 
snd_intel8x0           34945  0 
snd_ac97_codec         76217  2 snd_intel8x0m,snd_intel8x0
snd_seq_dummy           3781  0 
snd_seq_oss            37569  0 
snd_seq_midi_event      9409  1 snd_seq_oss
snd_seq                62801  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            51569  0 
snd_mixer_oss          18113  1 snd_pcm_oss
snd_pcm               100553  4
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33733  2 snd_seq,snd_pcm
snd                    57669  10
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              11169  1 snd
snd_page_alloc          9925  3 snd_intel8x0m,snd_intel8x0,snd_pcm
orinoco_cs             10825  1 
pcmcia                 29153  7 orinoco_cs
orinoco                56789  1 orinoco_cs
hermes                  7361  2 orinoco_cs,orinoco
pcmcia_core            51293  4 yenta_socket,rsrc_nonstatic,orinoco_cs,pcmcia
3c59x                  44905  0 
mii                     5569  1 3c59x
floppy                 65397  0 
joydev                  9857  0 
ext3                  132681  3 
jbd                    86361  1 ext3
sbp2                   25545  0 
ohci1394               41353  0 
ieee1394              304569  2 sbp2,ohci1394
sd_mod                 20545  0 
scsi_mod              147977  2 sbp2,sd_mod

lspci:
00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge
(rev 04)
00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge
(rev 04)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #3) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio
Controller (rev 02)
00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go]
(rev a3)
02:00.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
02:01.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:01.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:01.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394 Controller
02:03.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 01)
07:00.0 Network controller: Intersil Corporation Intersil ISL3890 [Prism
GT/Prism Duette] (rev 01)

/etc/sysconfig/hwconf:
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "8086:1a30"
vendorId: 8086
deviceId: 1a30
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "8086:1a31"
vendorId: 8086
deviceId: 1a31
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: hw_random
desc: "8086:2448"
vendorId: 8086
deviceId: 2448
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: snd-intel8x0m
desc: "8086:2486"
vendorId: 8086
deviceId: 2486
subVendorId: 14f1
subDeviceId: 5421
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  6
-
class: OTHER
bus: PCI
detached: 0
driver: i8xx_tco
desc: "8086:248c"
vendorId: 8086
deviceId: 248c
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PSAUX
detached: 0
driver: ignore
desc: "DualPoint Stick"
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: 3c59x
desc: "10b7:9200"
network.hwaddr: 00:0B:DB:16:6F:9E
vendorId: 10b7
deviceId: 9200
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: synaptics
desc: "AlpsPS/2 ALPS DualPoint TouchPad"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "8086:2485"
vendorId: 8086
deviceId: 2485
subVendorId: 1013
subDeviceId: 5959
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  5
-
class: CDROM
bus: IDE
detached: 0
device: hdb
driver: ignore
desc: "TOSHIBA DVD-ROM SD-C2612"
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "MATSHITA CD-RW UJDA360"
-
class: VIDEO
bus: PCI
detached: 0
driver: rivafb
desc: "10de:0174"
vendorId: 10de
deviceId: 0174
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "IC25N040ATCS04-0"
physical: 16383/16/63
logical: 65535/16/63
-
class: KEYBOARD
bus: PSAUX
detached: 0
driver: ignore
desc: "AT Translated Set 2 keyboard"
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "8086:2482"
vendorId: 8086
deviceId: 2482
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "8086:2487"
vendorId: 8086
deviceId: 2487
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac42"
vendorId: 104c
deviceId: ac42
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  1
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac42"
vendorId: 104c
deviceId: ac42
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  0
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac50"
vendorId: 104c
deviceId: ac50
subVendorId: 12a3
subDeviceId: ab01
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  3
pcifn:  0
-
class: FIREWIRE
bus: PCI
detached: 0
driver: ohci1394
desc: "104c:8027"
vendorId: 104c
deviceId: 8027
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  2
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "8086:248a"
vendorId: 8086
deviceId: 248a
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1
-
class: NETWORK
bus: PCMCIA
detached: 161665288
device: eth1
driver: orinoco_cs
desc: "Intersil PRISM2 11 Mbps Wireless Adapter"
vendorId: 0156
deviceId: 0002
function: 0
slot: 2
-
class: NETWORK
bus: PCI
detached: 1
device: eth2
driver: prism54
desc: "Intersil Corporation Intersil ISL3890 [Prism GT/Prism Duette]"
vendorId: 1260
deviceId: 3890
subVendorId: 1385
subDeviceId: 4800
pciType: 2
pcidom:    0
pcibus:  7
pcidev:  0
pcifn:  0
Comment 1 Matt T. Proud 2005-09-28 16:48:16 EDT
Oh, when the anomaly occurs, I should note that the 3c59x and Orinoco devices
take their normal names. And about what I said earlier about repeatability, I
guess tha t I am confident that it may not be easy to repeat unless a very
similar, if not exact, hardware configuration is used.

I truly hate this problem and would love to be of assistance in providing more
information and trying prescribed solutions, so my assistance to you, the
developers, is guaranteed.
Comment 2 Dave Jones 2005-09-28 16:55:31 EDT
/dev node naming is a udev thing. reassigning.
Comment 3 Harald Hoyer 2005-09-30 06:26:58 EDT
no, the kernel should give meaningful default names.
Comment 4 Harald Hoyer 2005-09-30 06:31:04 EDT
"If I boot the machine with the WG511 card inserted, the network device name for
the card becomes something to the effect of 'devXXXXX,' where XXXXX changes
between every reboot. Now, if I boot the machine without the card inserted, the
card assumes a name along the lines of eth2 or something else reasonable."

definetly kernel default naming screwed
Comment 5 Dave Jones 2005-09-30 06:42:26 EDT
John, on a quick grep through the prism driver, I'm missing where we set
ndev->name. am I missing something here ?
Comment 6 Matt T. Proud 2005-09-30 10:01:06 EDT
It looks like there is another bug that deals with naming problems and its 
associated ills: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140252
Comment 7 John W. Linville 2005-09-30 12:12:16 EDT
ndev->name should be getting set through the alloc_etherdev/register_netdev  
combination.  I don't see anything there that would suggest a path to a 
'devXXXXX' style name. 
 
Anyone have any suggestions where the 'devXXXXX' might originate? 
Comment 8 John W. Linville 2005-09-30 12:37:11 EDT
Looks like it comes from rename_device() in network-functions.  This is 
initscripts territory...I'm guessing that you have some strange combination of 
HWADDR settings in your ifcfg-ethX scripts? 
Comment 9 Bill Nottingham 2005-09-30 13:09:00 EDT
Please attach *all* your ifcfg-ethX config files.
Comment 10 Matt T. Proud 2005-10-02 18:04:13 EDT
The machine is currently undocked, and the prism54 was inserted at boot time. 
Since I wrote the bug report, I wiped my existing configuration and rewrote it; 
the problem still persists. Interestingly, I cannot even add this PRISM54 device 
using system-config-network manually, for the INTERSIL ISL3890 thing does not 
appear in the hardware addition list, so since the device is not even listed in 
the config, I am doubtful that it has bogus information.

*Regarding the tagging of bugs with NEEDSMOREINFORMATION and things to that 
effect, will that be automatically removed after I submit this information here, 
do I need to remove it myself, or does some other bugzilla admin manage this.*

Here is a bunch of output from my machine's current state:
Script started on Sun 02 Oct 2005 04:47:07 PM CDT
Linux version 2.6.13-1.1526_FC4 (bhcompile@hs20-bc1-6.build.redhat.com) (gcc 
version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 Wed Sep 28 19:15:10 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000027fe2800 (usable)
 BIOS-e820: 0000000027fe2800 - 0000000028000000 (reserved)
 BIOS-e820: 00000000feda0000 - 00000000fee00000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
639MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 163810
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 159714 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 DELL                                  ) @ 0x000fde50
ACPI: RSDT (v001 DELL    CPi R   0x27d30510 ASL  0x00000061) @ 0x000fde64
ACPI: FADT (v001 DELL    CPi R   0x27d30510 ASL  0x00000061) @ 0x000fde90
ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x808
Allocating PCI resources starting at 28000000 (gap: 28000000:d6da0000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/ resume2=swap:/dev/hda7 vga=791
Initializing CPU#0
CPU 0 irqstacks, hard=c04e7000 soft=c04e6000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2393.226 MHz processor.
Using pmtmr for high-res timesource
Console: colour dummy device 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 643056k/655240k available (3084k kernel code, 11692k reserved, 704k 
data, 176k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 4791.19 BogoMIPS (lpj=9582392)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebf9ff 00000000 00000000 00000000 00004400 
00000000 00000000
CPU: After vendor identify, caps: bfebf9ff 00000000 00000000 00000000 00004400 
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: After all inits, caps: bfebf1ff 00000000 00000000 00000080 00004400 
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
mtrr: v2.0 (20020519)
CPU: Intel Mobile Intel(R) Pentium(R) 4 - M CPU 2.40GHz stepping 09
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0800)
checking if image is initramfs... it is
Freeing initrd memory: 1349k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfbfee, last bus=2
PCI: Using configuration type 1
ACPI: Subsystem revision 20050408
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Boot video device is 0000:01:00.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7) *11
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 *11)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
ACPI: Power Resource [PADA] (on)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 17 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:01: ioport range 0x4d0-0x4d1 has been reserved
pnp: 00:01: ioport range 0x800-0x805 could not be reserved
pnp: 00:01: ioport range 0x808-0x80f could not be reserved
pnp: 00:02: ioport range 0x806-0x807 has been reserved
pnp: 00:02: ioport range 0x810-0x85f could not be reserved
pnp: 00:02: ioport range 0x860-0x87f has been reserved
pnp: 00:02: ioport range 0x880-0x8bf has been reserved
pnp: 00:02: ioport range 0x8c0-0x8df has been reserved
pnp: 00:02: ioport range 0x8e0-0x8ff has been reserved
pnp: 00:03: ioport range 0xf000-0xf0fe has been reserved
pnp: 00:03: ioport range 0xf100-0xf1fe has been reserved
pnp: 00:03: ioport range 0xf200-0xf2fe has been reserved
pnp: 00:03: ioport range 0xf400-0xf4fe has been reserved
pnp: 00:03: ioport range 0xf500-0xf5fe has been reserved
pnp: 00:03: ioport range 0xf600-0xf6fe has been reserved
pnp: 00:03: ioport range 0xf800-0xf8fe has been reserved
pnp: 00:03: ioport range 0xf900-0xf9fe has been reserved
pnp: 00:08: ioport range 0x900-0x91f has been reserved
pnp: 00:08: ioport range 0x3f0-0x3f1 has been reserved
pnp: 00:0f: ioport range 0xbf40-0xbf5f has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: c000-cfff
  MEM window: fc000000-fdffffff
  PREFETCH window: d8000000-e7ffffff
PCI: Bus 3, cardbus bridge: 0000:02:01.0
  IO window: 00001000-00001fff
  IO window: 00002000-00002fff
  PREFETCH window: 28000000-29ffffff
  MEM window: f4000000-f5ffffff
PCI: Bus 7, cardbus bridge: 0000:02:01.1
  IO window: 00003000-00003fff
  IO window: 00004000-00004fff
  PREFETCH window: 2a000000-2bffffff
  MEM window: f6000000-f7ffffff
PCI: Bus 11, cardbus bridge: 0000:02:03.0
  IO window: 00005000-00005fff
  IO window: 00006000-00006fff
  PREFETCH window: 2c000000-2dffffff
  MEM window: fa000000-fbffffff
PCI: Bridge: 0000:00:1e.0
  IO window: e000-ffff
  MEM window: f4000000-fbffffff
  PREFETCH window: 28000000-2effffff
PCI: Setting latency timer of device 0000:00:1e.0 to 64
PCI: Enabling device 0000:02:01.0 (0000 -> 0003)
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
PCI: Enabling device 0000:02:01.1 (0000 -> 0003)
ACPI: PCI Interrupt 0000:02:01.1[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1128270943.504:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 54AD4C348BA3456
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
vesafb: framebuffer at 0xe0000000, mapped to 0xe8880000, using 3072k, total 
32768k
vesafb: mode is 1024x768x16, linelength=2048, pages=1
vesafb: protected mode interface info at c000:f200
vesafb: scrolling: redraw
vesafb: Truecolor: size=0:5:6:5, shift=0:11:5:0
Console: switching to colour frame buffer device 128x48
fb0: VESA VGA frame buffer device
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: Thermal Zone [THM] (68 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel i845 Chipset.
agpgart: AGP aperture is 64M @ 0xe8000000
PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 
5
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH3M: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 
11
ICH3M: chipset revision 2
ICH3M: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: IC25N040ATCS04-0, ATA DISK drive
hdb: TOSHIBA DVD-ROM SD-C2612, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: MATSHITA CD-RW UJDA360, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB) w/1768KiB Cache, CHS=65535/16/63, UDMA(100)
hda: cache flushes not supported
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 >
hdb: ATAPI 24X DVD-ROM drive, 192kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdc: ATAPI 24X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 3.38
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard on isa0060/serio0
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
ACPI wakeup devices: 
 LID PBTN PCI0 UAR1 USB0 USB1 USB2 MODM PCIE MPCI 
ACPI: (supports S0 S1 S3 S4 S4bios S5)
Freeing unused kernel memory: 176k freed
SCSI subsystem initialized
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1299 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt 0000:02:01.2[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[f8fff000-f8fff7ff]  Max 
Packet=[2048]
sbp2: $Rev: 1306 $ Ben Collins <bcollins@debian.org>
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: DualPoint Stick on isa0060/serio1
input: AlpsPS/2 ALPS DualPoint TouchPad on isa0060/serio1
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[434fc0002b7bdc21]
security:  3 users, 6 roles, 872 types, 101 bools
security:  55 classes, 214191 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda2, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 
11
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:02:00.0: 3Com PCI 3c905C Tornado at 0xec80. Vers LK1.1.19
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 
5
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 55444 usecs
intel8x0: clocking to 48000
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 
5
PCI: Setting latency timer of device 0000:00:1f.6 to 64
MC'97 1 converters and GPIO not ready (0xff00)
hw_random: RNG not detected
shpchp: acpi_shpchprm:\_SB_.PCI0 evaluate _BBN fail=0x5
shpchp: acpi_shpchprm:get_device PCI ROOT HID fail=0x5
USB Universal Host Controller Interface driver v2.3
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 
11
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 11, io base 0x0000bf80
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 
11
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.2: irq 11, io base 0x0000bf20
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
Yenta: CardBus bridge found at 0000:02:01.0 [1028:00d4]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:01.0, mfunc 0x05033002, devctl 0x64
Yenta: ISA IRQ mask 0x0498, PCI irq 11
Socket status: 30000006
pcmcia: parent PCI bridge I/O window: 0xe000 - 0xffff
cs: IO port probe 0xe000-0xffff: clean.
pcmcia: parent PCI bridge Memory window: 0xf4000000 - 0xfbffffff
pcmcia: parent PCI bridge Memory window: 0x28000000 - 0x2effffff
ACPI: PCI Interrupt 0000:02:01.1[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
Yenta: CardBus bridge found at 0000:02:01.1 [1028:00d4]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:01.1, mfunc 0x05033002, devctl 0x64
Yenta: ISA IRQ mask 0x0498, PCI irq 11
Socket status: 30000020
pcmcia: parent PCI bridge I/O window: 0xe000 - 0xffff
cs: IO port probe 0xe000-0xffff: clean.
pcmcia: parent PCI bridge Memory window: 0xf4000000 - 0xfbffffff
pcmcia: parent PCI bridge Memory window: 0x28000000 - 0x2effffff
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
Yenta: CardBus bridge found at 0000:02:03.0 [12a3:ab01]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:03.0, mfunc 0x01000002, devctl 0x60
Yenta: ISA IRQ mask 0x0000, PCI irq 11
Socket status: 30000010
pcmcia: parent PCI bridge I/O window: 0xe000 - 0xffff
cs: IO port probe 0xe000-0xffff: clean.
pcmcia: parent PCI bridge Memory window: 0xf4000000 - 0xfbffffff
pcmcia: parent PCI bridge Memory window: 0x28000000 - 0x2effffff
Loaded prism54 driver, version 1.2
PCI: Enabling device 0000:07:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:07:00.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 
11
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery absent)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PBTN]
ACPI: Sleep Button (CM) [SBTN]
ibm_acpi: ec object not found
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
EXT3 FS on hda2, internal journal
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev hda3, type vfat), uses genfs_contexts
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda8, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda8, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda5, type ext3), uses xattr
Adding 714852k swap on /dev/hda6.  Priority:-1 extents:1
Adding 714852k swap on /dev/hda7.  Priority:-2 extents:1
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
cs: memory probe 0xf4000000-0xfbffffff: excluding 0xf4000000-0xf8ffffff 
0xfa000000-0xfbffffff
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0x100-0x4ff: excluding 0x280-0x287 0x378-0x37f
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0xa00-0xaff: clean.
orinoco 0.15rc2 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin 
<proski@gnu.org>, et al)
orinoco_cs 0.15rc2 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin 
<proski@gnu.org>, et al)
eth2: Hardware identity 0005:0004:0005:0000
eth2: Station identity  001f:0001:0008:0048
eth2: Firmware determined as Lucent/Agere 8.72
eth2: Ad-hoc demo mode supported
eth2: IEEE standard IBSS ad-hoc mode supported
eth2: WEP supported, 104-bit key
eth2: MAC address 00:02:2D:59:19:E7
eth2: Station name "HERMES I"
eth2: ready
eth2: index 0x01: Vcc 3.3, irq 11, io 0xe000-0xe03f
i2c /dev entries driver
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0475600(lo)
IPv6 over IPv4 tunneling driver
eth1: New link status: Connected (0001)
eth1: New link status: Connected (0001)
eth1: no IPv6 routers present

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kiifconfig

eth1      Link encap:Ethernet  HWaddr 00:02:2D:59:19:E7  
          inet addr:192.168.0.42  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::202:2dff:fe59:19e7/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2013 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2101 errors:178 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:1244010 (1.1 MiB)  TX bytes:448557 (438.0 KiB)
          Interrupt:11 Base address:0xe000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1548 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1548 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:43820 (42.7 KiB)  TX bytes:43820 (42.7 KiB)


[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kiiwlis   config

lo        no wireless extensions.

eth0      no wireless extensions.

Warning: Driver for device dev1710 has been compiled with version 18
of Wireless Extension, while this program supports up to version 17.
Some things may be broken...

dev1710   NOT READY!  ESSID:off/any  
          Mode:Managed  Channel:0  Access Point: 00:00:00:00:00:00   
          Tx-Power=31 dBm   Sensitivity=0/200  
          Retry min limit:0   RTS thr=0 B   Fragment thr=0 B   
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth1      IEEE 802.11b  ESSID:"UBEAN"  Nickname:"wahnsee.staedte"
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:90:4C:60:04:00   
          Bit Rate:5.5 Mb/s   Sensitivity:1/3  
          Retry limit:4   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=27/92  Signal level=-66 dBm  Noise level=-93 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:4
          Tx excessive retries:178  Invalid misc:0   Missed beacon:0

sit0      no wireless extensions.


[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kllspci 

00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge 
(rev 04)
00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge 
(rev 04)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #3) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio 
Controller (rev 02)
00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go] 
(rev a3)
02:00.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
02:01.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:01.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
02:01.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394 Controller
02:03.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller 
(rev 01)
07:00.0 Network controller: Intersil Corporation Intersil ISL3890 [Prism GT/
Prism Duette] (rev 01)

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kccat /etc/modprobe.conf

alias eth0 3c59x
alias scsi_hostadapter sbp2
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0  
options snd-intel8x0 index=0  
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/
modprobe -r --ignore-remove snd-intel8x0
alias usb-controller uhci-hcd
alias ieee1394-controller ohci1394
#alias eth3 islpci_cb # netgear wg511 pcmcia adapter
#alias eth4 prism54
#alias eth3 prism54
#alias eth3 islpci_cb

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kccat /etc/sysconfig/
network-scripts/ifcfg-eth1 

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
IPV6INIT=no
ONBOOT=no
USERCTL=no
PEERDNS=yes
GATEWAY=
TYPE=Wireless
DEVICE=eth1
HWADDR=00:02:2d:59:19:e7
BOOTPROTO=dhcp
NETMASK=
DHCP_HOSTNAME=
IPADDR=
DOMAIN=
ESSID=
CHANNEL=1
MODE=Auto
RATE='11 Mb/s'

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kcat /etc/sysconfig/
network-scripts/ifcfg-eth1    lo 

DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kcat /etc/sysconfig/
network-scripts/ifcfg-lo                  
      networkd ing/devices/ifcfg-eth0

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
IPV6INIT=no
ONBOOT=yes
USERCTL=no
PEERDNS=yes
TYPE=Ethernet
DEVICE=eth0
HWADDR=00:0b:db:16:6f:9e
BOOTPROTO=dhcp

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kcat /etc/sysconfig/
networking/devices/ifcfg-eth0 1

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
IPV6INIT=no
ONBOOT=no
USERCTL=no
PEERDNS=yes
GATEWAY=
TYPE=Wireless
DEVICE=eth1
HWADDR=00:02:2d:59:19:e7
BOOTPROTO=dhcp
NETMASK=
DHCP_HOSTNAME=
IPADDR=
DOMAIN=
ESSID=
CHANNEL=1
MODE=Auto
RATE='11 Mb/s'

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kffind /etc -inam e 
"*eth*"

/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/keys-eth1
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifcfg-eth1
/etc/sysconfig/networking/profiles/default/keys-eth1
/etc/sysconfig/networking/profiles/default/ifcfg-eth1
/etc/sysconfig/networking/devices/keys-eth1
/etc/sysconfig/networking/devices/ifcfg-eth0
/etc/sysconfig/networking/devices/ifcfg-eth1
/etc/dhclient-eth0.conf
/etc/dhclient-eth1.conf

[0m[23m[24m[J[4mroot[24m@[4mwahnsee[24m:~> [Kfind /etc -iname "*eth*"
*" *" *" n*"e*"t*"

/etc/netplug
/etc/netplug/netplugd.conf
/etc/dev.d/net
/etc/setuptool.d/98netconfig
/etc/setuptool.d/99system-config-network-tui
/etc/security/console.apps/system-config-network-cmd
/etc/security/console.apps/system-config-network
/etc/security/console.apps/internet-druid
/etc/security/console.apps/system-config-network-druid
/etc/auto.net
/etc/pcmcia/network
/etc/pcmcia/network.opts
/etc/sysconfig/network
/etc/sysconfig/netdump_id_dsa
/etc/sysconfig/netdump_id_dsa.pub
/etc/sysconfig/network-scripts
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/networking
/etc/sysconfig/networking/profiles/default/network
/etc/sysconfig/netdump
/etc/dbus-1/system.d/NetworkManagerInfo.conf
/etc/dbus-1/system.d/NetworkManager.conf
/etc/issue.net
/etc/hotplug/net.agent
/etc/rc.d/rc3.d/S10network
/etc/rc.d/rc3.d/K02NetworkManagerDispatcher
/etc/rc.d/rc3.d/K02NetworkManager
/etc/rc.d/rc3.d/K50netdump
/etc/rc.d/rc3.d/K75netfs
/etc/rc.d/rc3.d/K89netplugd
/etc/rc.d/rc5.d/S10network
/etc/rc.d/rc5.d/K02NetworkManagerDispatcher
/etc/rc.d/rc5.d/K02NetworkManager
/etc/rc.d/rc5.d/K50netdump
/etc/rc.d/rc5.d/K75netfs
/etc/rc.d/rc5.d/K89netplugd
/etc/rc.d/rc1.d/K02NetworkManagerDispatcher
/etc/rc.d/rc1.d/K02NetworkManager
/etc/rc.d/rc1.d/K50netdump
/etc/rc.d/rc1.d/K90network
/etc/rc.d/rc1.d/K75netfs
/etc/rc.d/rc1.d/K89netplugd
/etc/rc.d/rc2.d/S10network
/etc/rc.d/rc2.d/K02NetworkManagerDispatcher
/etc/rc.d/rc2.d/K02NetworkManager
/etc/rc.d/rc2.d/K50netdump
/etc/rc.d/rc2.d/K75netfs
/etc/rc.d/rc2.d/K89netplugd
/etc/rc.d/rc6.d/K02NetworkManagerDispatcher
/etc/rc.d/rc6.d/K02NetworkManager
/etc/rc.d/rc6.d/K50netdump
/etc/rc.d/rc6.d/K90network
/etc/rc.d/rc6.d/K75netfs
/etc/rc.d/rc6.d/K89netplugd
/etc/rc.d/rc4.d/S10network
/etc/rc.d/rc4.d/K02NetworkManagerDispatcher
/etc/rc.d/rc4.d/K02NetworkManager
/etc/rc.d/rc4.d/K50netdump
/etc/rc.d/rc4.d/K75netfs
/etc/rc.d/rc4.d/K89netplugd
/etc/rc.d/rc0.d/K02NetworkManagerDispatcher
/etc/rc.d/rc0.d/K02NetworkManager
/etc/rc.d/rc0.d/K50netdump
/etc/rc.d/rc0.d/K90network
/etc/rc.d/rc0.d/K75netfs
/etc/rc.d/rc0.d/K89netplugd
/etc/rc.d/init.d/network
/etc/rc.d/init.d/NetworkManagerDispatcher
/etc/rc.d/init.d/netplugd
/etc/rc.d/init.d/netfs
/etc/rc.d/init.d/netdump
/etc/rc.d/init.d/NetworkManager
/etc/pam.d/system-config-network-cmd
/etc/pam.d/system-config-network
/etc/pam.d/internet-druid
/etc/pam.d/system-config-network-druid
/etc/X11/applnk/Internet
/etc/sane.d/net.conf
/etc/log.d/scripts/services/zz-network
/etc/log.d/scripts/services/netscreen
/etc/log.d/scripts/services/extreme-networks
/etc/log.d/scripts/services/netopia
/etc/log.d/conf/logfiles/extreme-networks.conf
/etc/log.d/conf/logfiles/netscreen.conf
/etc/log.d/conf/logfiles/netopia.conf
/etc/log.d/conf/services/extreme-networks.conf
/etc/log.d/conf/services/zz-network.conf
/etc/log.d/conf/services/netscreen.conf
/etc/log.d/conf/services/netopia.conf
/etc/netplug.d
/etc/netplug.d/netplug
/etc/xinetd.d
/etc/xinetd.d/krb5-telnet

cat /etc/sysconfig/hwconf
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "8086:1a30"
vendorId: 8086
deviceId: 1a30
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "8086:1a31"
vendorId: 8086
deviceId: 1a31
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: hw_random
desc: "8086:2448"
vendorId: 8086
deviceId: 2448
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: snd-intel8x0m
desc: "8086:2486"
vendorId: 8086
deviceId: 2486
subVendorId: 14f1
subDeviceId: 5421
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  6
-
class: OTHER
bus: PCI
detached: 0
driver: i8xx_tco
desc: "8086:248c"
vendorId: 8086
deviceId: 248c
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PSAUX
detached: 0
driver: ignore
desc: "DualPoint Stick"
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: 3c59x
desc: "10b7:9200"
network.hwaddr: 00:0B:DB:16:6F:9E
vendorId: 10b7
deviceId: 9200
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: synaptics
desc: "AlpsPS/2 ALPS DualPoint TouchPad"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "8086:2485"
vendorId: 8086
deviceId: 2485
subVendorId: 1013
subDeviceId: 5959
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  5
-
class: CDROM
bus: IDE
detached: 0
device: hdb
driver: ignore
desc: "TOSHIBA DVD-ROM SD-C2612"
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "MATSHITA CD-RW UJDA360"
-
class: VIDEO
bus: PCI
detached: 0
device: fb0
driver: rivafb
desc: "10de:0174"
vendorId: 10de
deviceId: 0174
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "IC25N040ATCS04-0"
physical: 16383/16/63
logical: 65535/16/63
-
class: KEYBOARD
bus: PSAUX
detached: 0
driver: ignore
desc: "AT Translated Set 2 keyboard"
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "8086:2482"
vendorId: 8086
deviceId: 2482
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "8086:2487"
vendorId: 8086
deviceId: 2487
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac42"
vendorId: 104c
deviceId: ac42
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  1
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac42"
vendorId: 104c
deviceId: ac42
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  0
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "104c:ac50"
vendorId: 104c
deviceId: ac50
subVendorId: 12a3
subDeviceId: ab01
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  3
pcifn:  0
-
class: FIREWIRE
bus: PCI
detached: 0
driver: ohci1394
desc: "104c:8027"
vendorId: 104c
deviceId: 8027
subVendorId: 1028
subDeviceId: 00d4
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  2
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "8086:248a"
vendorId: 8086
deviceId: 248a
subVendorId: 8086
subDeviceId: 4541
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1
-
class: NETWORK
bus: PCMCIA
detached: 161665288
device: eth1
driver: orinoco_cs
desc: "Intersil PRISM2 11 Mbps Wireless Adapter"
vendorId: 0156
deviceId: 0002
function: 0
slot: 2
-
class: NETWORK
bus: PCI
detached: 1
device: eth2
driver: prism54
desc: "Intersil Corporation Intersil ISL3890 [Prism GT/Prism Duette]"
vendorId: 1260
deviceId: 3890
subVendorId: 1385
subDeviceId: 4800
pciType: 2
pcidom:    0
pcibus:  7
pcidev:  0
pcifn:  0


Script done on Sun 02 Oct 2005 04:53:18 PM CDT
Comment 11 Bill Nottingham 2005-10-03 15:13:57 EDT
Ok, you need to make sure that you have three ifcfg files, one for each of your
network adapters. It looks like you're missing the one for your internal prism2
card.
Comment 12 Bill Nottingham 2005-10-03 17:57:18 EDT
Once that is done, the behavior *should* stabilize. Please reopen if it doesn't.

Note You need to log in before you can comment on or make changes to this bug.